Bug 34184 - "Document type" in suggestions form should have an empty entry
Summary: "Document type" in suggestions form should have an empty entry
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: Main
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-07-01 10:03 UTC by Katrin Fischer
Modified: 2023-12-28 20:47 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.11.00,23.05.02,22.11.08,22.05.16


Attachments
Bug 34184: Add empty option for suggestion "document type" (1.61 KB, patch)
2023-07-05 10:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 34184: Add empty option for suggestion "document type" (1.66 KB, patch)
2023-07-05 12:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 34184: Add empty option for suggestion "document type" (1.72 KB, patch)
2023-07-09 12:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2023-07-01 10:03:40 UTC
Currently when editing a suggestion, the document type will preselect to the first entry as we don't have an empty entry. This can lead to data errors easily.
Comment 1 Jonathan Druart 2023-07-05 10:42:47 UTC
Created attachment 153050 [details] [review]
Bug 34184: Add empty option for suggestion "document type"

Currently when editing a suggestion, the document type will preselect to the
first entry as we don't have an empty entry.
This can lead to data errors easily.

Test plan:
Create a new suggestion
=> Notice that "document type" is empty by default, pick one
Edit it again
=> Notice that the value is kept and empty can be picked, pick empty
Edit again
=> Empty is selected and saved in DB
Comment 2 Owen Leonard 2023-07-05 12:16:17 UTC
Created attachment 153054 [details] [review]
Bug 34184: Add empty option for suggestion "document type"

Currently when editing a suggestion, the document type will preselect to the
first entry as we don't have an empty entry.
This can lead to data errors easily.

Test plan:
Create a new suggestion
=> Notice that "document type" is empty by default, pick one
Edit it again
=> Notice that the value is kept and empty can be picked, pick empty
Edit again
=> Empty is selected and saved in DB

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2023-07-09 12:53:59 UTC
Created attachment 153210 [details] [review]
Bug 34184: Add empty option for suggestion "document type"

Currently when editing a suggestion, the document type will preselect to the
first entry as we don't have an empty entry.
This can lead to data errors easily.

Test plan:
Create a new suggestion
=> Notice that "document type" is empty by default, pick one
Edit it again
=> Notice that the value is kept and empty can be picked, pick empty
Edit again
=> Empty is selected and saved in DB

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2023-07-09 12:54:20 UTC
Sometimes the fix is really obvious - once you see it!
Comment 5 Tomás Cohen Arazi 2023-07-14 18:24:16 UTC
Pushed to master for 23.11.

Nice work everyone, thanks!
Comment 6 Martin Renvoize 2023-07-18 11:52:23 UTC
Thanks for all the hard work!

Pushed to 23.05.x for the next release
Comment 7 Matt Blenkinsop 2023-07-18 15:29:02 UTC
Nice work everyone!

Pushed to oldstable for 22.11.x
Comment 8 Lucas Gass 2023-09-13 20:36:08 UTC
Backported to 22.05.x for upcoming 22.05.16